import {createSession, getSessionList, postRequest, sessionDetailReq} from "@/api/api";
import {useScroll} from "@/views/chat/hooks/useScroll";
import dayjs from "dayjs";
import { ref } from 'vue';
import { defineStore } from 'pinia';
export const sessionDetailForSetup = defineStore('session', () => {
	const sessionDetail = ref([]);
const currentListUuid=ref('')
	const gptMode=ref('gpt-3.5-turbo')
	const dataList = ref([]);
	const isStop = ref(false);
	const isGPT4 = ref(false);
	const loading=ref(false)
	const getDataList = async () => {
		const data = {
			page: 1,
			pageSize: 9999,
		}
		const res=await getSessionList(data)
		if (res.code===0){
			dataList.value=res.data.data
		}
	}
	const detailData=ref([])
	const getSessionDetail =async () => {
		const res= await 	sessionDetailReq({listUuid:currentListUuid.value})
		if (res.code===0){
			sessionDetail.value=res.data.map((x)=>{
				return {
					dateTime:dayjs.unix(x.CreatedAt).format('YYYY/M/D HH:mm:ss'),
					text:(() => {
						try {
							return JSON.parse(x.message)?.find(m => m.type === 'text')?.text ?? '';
						} catch (e) {
							return '';
						}
					})(),
					fileList:(()=>{
						return  JSON.parse(x.message)?.filter((y)=>{
							return y.type === 'image_url'
						}).map(z=>z.image_url)
					})(),
					inversion:x.role==='user',
					error:false,
					conversationOpt:null,
				}
			})
			detailData.value=res.data
		}
	}
	const createSessionStore=async ()=>{
		const data={
			gptModel:gptMode.value
		}
		const res=await createSession(data)
		if (res.code===0){
			getDataList()
			currentListUuid.value=res.data.listUuid
		}
	}
	const deleteSession =async () => {
	const res=await	postRequest('/chat/del', {listUuid:currentListUuid.value})
		if (res.code === 0) {
			//getDataList()
		}
	}
	return { sessionDetail,currentListUuid ,gptMode,getDataList,dataList,getSessionDetail,createSessionStore,deleteSession,isStop,isGPT4,loading};
});
